FROM node:lts-alpine
WORKDIR /user/src/app
ENV NODE_ENV="development"

# Add wait script to the image
ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.5.0/wait /wait
RUN chmod +x /wait

ADD package.json ./package.json
RUN npm i

CMD /wait && /bin/watch -t -n 20 'bin/fetch-positions.js 1 2 5 6 --force'
